GraphDatabaseBuilder (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb.factory
Class GraphDatabaseBuilder

    java.lang.Object
      org.neo4j.graphdb.factory.GraphDatabaseBuilder

    public class GraphDatabaseBuilder

extends Object

Builder for GraphDatabaseServices that allows for setting and loading configuration.

Nested Class Summary
`static interface` | `GraphDatabaseBuilder.DatabaseCreator`

Constructor Summary
`GraphDatabaseBuilder(GraphDatabaseBuilder.DatabaseCreator creator)`

Method Summary
`GraphDatabaseBuilder` | `loadPropertiesFromFile(String fileName)` Load a Properties file from a given file, and add the settings to the builder.
`GraphDatabaseBuilder` | `loadPropertiesFromURL(URL url)` Load Properties file from a given URL, and add the settings to the builder.
`GraphDatabaseService` | `newGraphDatabase()` Create a new database with the configuration registered through the builder.
`GraphDatabaseBuilder` | `setConfig(Map<String,String> config)` Set a map of config settings into the builder.
`GraphDatabaseBuilder` | `setConfig(Setting setting, String value)` Set a database setting to a particular value.
`GraphDatabaseBuilder` | `setConfig(String name, String value)` Deprecated. Use setConfig with explicit GraphDatabaseSetting instead Set unvalidated config option

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphDatabaseBuilder

    public GraphDatabaseBuilder(GraphDatabaseBuilder.DatabaseCreator creator)

Method Detail

### setConfig

    public GraphDatabaseBuilder setConfig(Setting setting,
                                          String value)

  Set a database setting to a particular value.

  Parameters:
    `setting` -
    `value` -
  Returns:
    the builder

### setConfig

    public GraphDatabaseBuilder setConfig(String name,
                                          String value)

  Deprecated. Use setConfig with explicit GraphDatabaseSetting instead Set unvalidated config option

  Parameters:
    `name` -
    `value` -
  Returns:
    the builder

### setConfig

    public GraphDatabaseBuilder setConfig(Map<String,String> config)

  Set a map of config settings into the builder. Overwrites any existing values.

  Parameters:
    `config` -
  Returns:
    the builder

### loadPropertiesFromFile

    public GraphDatabaseBuilder loadPropertiesFromFile(String fileName)
                                                throws IllegalArgumentException

  Load a Properties file from a given file, and add the settings to the builder.

  Parameters:
    `fileName` -
  Returns:
    the builder
  Throws:
    `IllegalArgumentException` - if the builder was unable to load from the given filename

### loadPropertiesFromURL

    public GraphDatabaseBuilder loadPropertiesFromURL(URL url)
                                               throws IllegalArgumentException

  Load Properties file from a given URL, and add the settings to the builder.

  Parameters:
    `url` -
  Returns:
    the builder
  Throws:
    `IllegalArgumentException`

### newGraphDatabase

    public GraphDatabaseService newGraphDatabase()

  Create a new database with the configuration registered through the builder.

  Returns:
    an instance of GraphDatabaseService

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.